﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Reflection;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace PieSection
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        LineChartViewModel viewmodel = new LineChartViewModel();
        public MainPage()
        {
            this.InitializeComponent();

          
            
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

    
    }
   

    public class LineChartViewModel : INotifyPropertyChanged
    {
        public LineChartViewModel()
        {
            this.power = new ObservableCollection<power>();
            DateTime yr = new DateTime(2002, 5, 1);
            power.Add(new power() { ProductName = "Coal", Year = yr.AddYears(0), ind = 28, ger = 31, uk = 36, fra = 39 });
            power.Add(new power() { ProductName = "Steel", Year = yr.AddYears(2), ind = 26, ger = 30, uk = 34, fra = 40 });
            power.Add(new power() { ProductName = "Gold", Year = yr.AddYears(3), ind = 27, ger = 36, uk = 38, fra = 44 });
            power.Add(new power() { ProductName = "Silver", Year = yr.AddYears(4), ind = 32, ger = 36, uk = 42, fra = 50 });
            power.Add(new power() { ProductName = "Diamond", Year = yr.AddYears(5), ind = 35, ger = 39, uk = 42, fra = 48 });
           this.collectionPower = new ObservableCollection<power>();


        }
        private ObservableCollection<power> Power;
        public ObservableCollection<power> power
        {
            get { return Power; }
            set
            {
                Power = value;
                this.OnPropertyChanged("power");
            }
        }
        private ObservableCollection<power> Collection;
        public ObservableCollection<power> collectionPower
        {
            get { return Collection; }
            set
            {
                Collection = value;
                this.OnPropertyChanged("collectionPower");
            }
        }
        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
    }

    public class power : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
        private DateTime year;
        public DateTime Year
        {
            get { return year; }
            set
            {
                year = value;
                this.OnPropertyChanged("Year");
            }
        }
        private string productName;
        public string ProductName
        {
            get { return productName; }
            set
            {
                productName = value;
                this.OnPropertyChanged("ProductName");
            }
        }
        private double Ind;
        public double ind
        {
            get { return Ind; }
            set
            {
                Ind = value;
                this.OnPropertyChanged("ind");
            }
        }

        private double Ger;
        public double ger
        {
            get { return Ger; }
            set
            {
                Ger = value;
                this.OnPropertyChanged("ger");
            }
        }

        private double UK;
        public double uk
        {
            get { return UK; }
            set
            {
                UK = value;
                this.OnPropertyChanged("uk");
            }
        }

        private double Fra;
        public double fra
        {
            get { return Fra; }
            set
            {
                Fra = value;
                this.OnPropertyChanged("fra");
            }
        }

    }
}
